Feed Management - Set Feed Permissions
Update the permissions on a feed.
The project parameter must be supplied if the feed was created in a project. If the feed is not associated with any project, omit the project parameter from the request.
PATCH https://feeds.dev.azure.com/{organization}/{project}/_apis/packaging/Feeds/{feedId}/permissions?api-version=5.1-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
feed
|
path | True |
|
Name or Id of the feed. |
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path |
|
Project ID or project name |
|
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| body |
Permissions to set. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.packaging_manage | Grants the ability to create, read, update, and delete feeds and packages. |
Definitions
|
Feed |
Permissions for a feed. |
|
Feed |
The role for this identity on a feed. |
|
Identity |
An Identity descriptor is a wrapper for the identity type (Windows SID, Passport) along with a unique identifier such as the SID or PUID. |
FeedPermission
Permissions for a feed.
| Name | Type | Description |
|---|---|---|
| displayName |
|
Display name for the identity. |
| identityDescriptor |
Identity associated with this role. |
|
| identityId |
|
Id of the identity associated with this role. |
| role |
The role for this identity on a feed. |
FeedRole
The role for this identity on a feed.
| Name | Type | Description |
|---|---|---|
| administrator |
|
Administrators have total control over the feed. |
| collaborator |
|
Collaborators have the same permissions as readers, but can also ingest packages from configured upstream sources. |
| contributor |
|
Contributors can do anything to packages in the feed including adding new packages, but they may not modify feed settings. |
| custom |
|
Unsupported. |
| none |
|
Unsupported. |
| reader |
|
Readers can only read packages and view settings. |
IdentityDescriptor
An Identity descriptor is a wrapper for the identity type (Windows SID, Passport) along with a unique identifier such as the SID or PUID.
| Name | Type | Description |
|---|---|---|
| identifier |
|
The unique identifier for this identity, not exceeding 256 chars, which will be persisted. |
| identityType |
|
Type of descriptor (for example, Windows, Passport, etc.). |